MySQL Workbench 於 Ubuntu Linux 安裝

MySQL Workbench 可以拿來管理 MySQL, 也可以來畫 ERD, 此篇主要是寫如何安裝.

使用 deb 安裝, 並解決套件相依性的快速安裝法: 採用 dpkg 安裝 deb 檔, 再利用 aptitude 來自動補齊所需要的套件.

MySQL Workbench 相關文件

安裝方法1

  1. apt-get install libdbd-mysql-perl libdbi-perl libmysqlclient15off libnet-daemon-perl libplrpc-perl libzip1 mysql-client-5.1 python-paramiko python-pexpect
  2. dpkg -i mysql-workbench-oss_5.2.18-1ubu910_amd64.deb # 或 mysql-workbench-oss-5.2.19-1ubu910-i386.deb 看你的作業系統版本而定
  3. 完成

安裝方法2

  1. 使用 dpkg 安裝 mysql-workbench-oss_5.2.18-1ubu910_amd64.deb, 如下述命令
  2. $ dpkg -i mysql-workbench-oss_5.2.18-1ubu910_amd64.deb # 會出現下述錯誤訊息

    dpkg:因相依問題,不能設定 mysql-workbench-oss:
     mysql-workbench-oss 相依於 libmysqlclient15off (>= 5.0.27-1)﹔然而:
      未曾安裝套件 `libmysqlclient15off'。
     mysql-workbench-oss 相依於 libzip1﹔然而:
      未曾安裝套件 `libzip1'。
     mysql-workbench-oss 相依於 python-paramiko﹔然而:
      未曾安裝套件 `python-paramiko'。
     mysql-workbench-oss 相依於 python-pexpect﹔然而:
      未曾安裝套件 `python-pexpect'。
     mysql-workbench-oss 相依於 mysql-client﹔然而:
      未曾安裝套件 `mysql-client'。
    dpkg:在處理 mysql-workbench-oss (--install) 時發生錯誤:
     相依問題 - 保留為未設定
    正在進行 desktop-file-utils 的觸發程式 ...
    在處理時有錯誤發生:
     mysql-workbench-oss

  3. 再來補相關 Package, 靠 aptitude 來補, 如下述指令:
  4. $ aptitude full-upgrade # aptitude 會自動幫你找解決. 😛
  5. 出現下述訊息, 第一個選 N, 第二個、第三個選 Y 即可.

    註:

    • 第一個選 N 是因為 aptitude 認為最簡單的解法就是將剛剛安裝的 deb 移除, 只要移除一個 Package 就可以解決相依性的問題, 所以選 N, 不要讓它移掉.
    • 第二個選 Y 是 aptitude 找出所相依性的 Package, 問是否要用此解決方案, 選 Y
    • 第三個選 Y 就是安裝, 解決套件相依性問題.

MySQL Workbench 詳細安裝過程

以下的套件狀態為毀斷
  mysql-workbench-oss
0 個套件升級, 0 個新安裝, 0 個將移除且 0 個不會升級.
需要下載 0B 的歸檔檔案. 解裝後將用去 0B.
以下套件含有相依性:
  mysql-workbench-oss: 相依關係: libmysqlclient15off (>= 5.0.27-1) 但這無法安裝
                       相依關係: libzip1 但這無法安裝
                       相依關係: python-paramiko 但這無法安裝
                       相依關係: python-pexpect 但這無法安裝
                       相依關係: mysql-client 但這無法安裝
以下動作會解決這些相依問題:

移除 下列套件:
mysql-workbench-oss

分數是 121

是否接受該解決方案?[Y/n/q/?] N <-- 不要移掉

以下動作會解決這些相依問題:

安裝 下列套件:
libdbd-mysql-perl [4.011-1ubuntu1 (karmic)]
libdbi-perl [1.609-1 (karmic)]
libmysqlclient15off [5.1.30really5.0.83-0ubuntu3 (karmic)]
libnet-daemon-perl [0.43-1 (karmic)]
libplrpc-perl [0.2020-2 (karmic)]
libzip1 [0.8-1 (karmic)]
mysql-client-5.1 [5.1.37-1ubuntu5.1 (karmic-updates, karmic-security)]
python-paramiko [1.7.4-0.1 (karmic)]
python-pexpect [2.3-1 (karmic)]

分數是 -35
是否接受該解決方案?[Y/n/q/?] Y

以下新套件將會安裝:
  libdbd-mysql-perl{a} libdbi-perl{a} libmysqlclient15off{a} libnet-daemon-perl{a} libplrpc-perl{a} libzip1{a} mysql-client-5.1{a}
  python-paramiko{a} python-pexpect{a}
以下部份套件將會被設定:
  mysql-workbench-oss
您想繼續嗎? [Y/n/?] Y

這樣子就安裝完成囉~ 😛

開啟 MySQL Workbench

  1. 應用程式 -> 軟體開發 -> MySQL Workbench
  2. 即可開始使用~

關於 Tsung

對新奇的事物都很有興趣, 喜歡簡單的東西, 過簡單的生活.
本篇發表於 My_Note-Unix。將永久鏈結加入書籤。

發表迴響